import 'dart:io';

import 'package:origami_database/database.dart';
import 'package:origami_database/models/databaseRoute.dart';
import 'package:origami_database/models/odataModel.dart';
import 'package:origami_database/models/queryModel.dart';
import 'package:origami_database/models/sortModel.dart';
import 'package:origamicore/origamiCore.dart';

import 'testModel.dart';
void writeData(List<TestModel> data)
{
  print('-------');
  for(var a in data)
  {
    print(a.toJson());
  }
}
void main()async {
  print('test');
  var path=Directory.current.path + '/test/config.json';
  ;
  var core = OrigamiCore(path);
  await core.start([ 
    DatabasesIndex(),
  ]);
  var data = await DatabaseRoute<TestModel>().search('default', 'test', QueryModel(),await Odata.fromJSON({'\$filter':'name eq \'vahid\''}));
  writeData(data);
  var datatop = await DatabaseRoute<TestModel>().search('default', 'test', QueryModel(),await Odata.fromJSON({'\$top':1}));
  writeData(datatop);
  var dataskip = await DatabaseRoute<TestModel>().search('default', 'test', QueryModel(),await Odata.fromJSON({'\$skip':1}));
  writeData(dataskip);
  var datasort = await DatabaseRoute<TestModel>().search('default', 'test', QueryModel(sort:[SortModel(prop: 'name',isDesc: true)] ));
  writeData(datasort);
}

